Table of Contents

Class: tk2cairo | ../bkchem/plugins/tk2cairo.py
--- | ---
Methods |
--- | ---
__init__ draw_document export_to_cairo p2c_width prepare_dumb_transformer set_cairo_color
| __init__
    __init__ ( self )
| draw_document
    draw_document ( self )
| export_to_cairo
    export_to_cairo (
            self,
            tk_canvas,
            cairo_context,
            transformer=None,
            )
| p2c_width
    p2c_width ( self,  w )
converts a paper width to canvas width using the value of self.width_scaling
| prepare_dumb_transformer
    prepare_dumb_transformer ( self )
| set_cairo_color
    set_cairo_color ( self,  color )

Table of Contents

This document was automatically generated on Tue Dec 12 13:46:48 2006 by HappyDoc version 2.1